/* ======================================================================================================================================
  @author Grant McKenzie (grant.mckenzie@geog.ucsb.edu)
  @date 02/02/2014
  @project Project 2 
  @course MAT259
  @description This project shows the individual Dewey Classes for the books in the Seattle Public Library styled by check-out signature
  @file Draw functionality
  ======================================================================================================================================== */
  
  void draw() {
    // push off the edge by 10 pixels
    translate(30,150);
    // assign font
    textFont(awesomeFont);

   
    
    // Look through the colorblock arrayList and draw the rectangle based on the color and dewey class
    /* for(int i=0;i<colorBlocks.size();i++) {
        locx = int(colorBlocks.get(i)[2]) / 10 * 11;
        locy = int(colorBlocks.get(i)[2]) % 10 * 60;
        fill(int(colorBlocks.get(i)[3]),int(colorBlocks.get(i)[4]),int(colorBlocks.get(i)[5]));
        rect(locx,locy,10,60);
    } */

    
   
    int count = 0;
    for (TableRow row : data.rows()) {
        // int ts = row.getInt("timestamp");
        int wm = row.getInt("w_m")/1000;
        int ws = row.getInt("w_s")/1000;
        int wb = row.getInt("w_b")/1000;
        int wu = row.getInt("w_u")/1000;
        
        int sm = row.getInt("s_m");
        int ss = row.getInt("s_s");
        int sb = row.getInt("s_b");
        int su = row.getInt("s_u");
        
        
        // MICROSOFT
         // MICROSOFT
             stroke(0);
             fill(#fbb4ae);
             rect(count*10, -1*wm/2+300, 10, wm/2);
             rect(count*10, 300, 10, wm/2);
          //  setGradient(count*10, -1*wm/2, 20, wm/2, #000000, #fbb4ae);
          //  setGradient(count*10, 0, 20, wm/2, #fbb4ae, #000000);
             stroke(0);
             setGradient(count*10, -1*ws/2+293, 10, 7, #fbb4ae, #000000);
             setGradient(count*10, ws/2+300, 10, 7, #000000, #fbb4ae);
        
        // STARBUCKS
             fill(#b3cde3);
             stroke(0);
             rect(count*10, -1*ws/2+300, 10, ws/2);
             rect(count*10, 300, 10, ws/2);
          //  setGradient(count*10, -1*ws/2+300, 20, ws/2, #000000, #b3cde3);
           // setGradient(count*10, 200, 20, ws/2, #b3cde3, #000000);
              setGradient(count*10, -1*wb/2+293, 10, 7, #b3cde3, #000000);
              setGradient(count*10, wb/2+300, 10, 7, #000000, #b3cde3);
           
        // BOEING
             fill(#ccebc5);
             stroke(0);
             rect(count*10, -1*wb/2+300, 10, wb/2);
             rect(count*10, 300, 10, wb/2);
           // setGradient(count*10, -1*wb/2+300, 20, wb/2, #000000, #ccebc5);
           // setGradient(count*10, 200, 20, wb/2, #ccebc5, #000000);
           setGradient(count*10, -1*wu/2+293, 10, 7, #ccebc5, #000000);
           setGradient(count*10, wu/2+300, 10, 7, #000000, #ccebc5);
        
        // UW
             fill(#fed9a6);
             stroke(0);
             rect(count*10, -1*wu/2+300, 10, wu/2);
             rect(count*10, 300, 10, wu/2);
           // setGradient(count*10, -1*wu/2+600, 20, wu/2, #000000, #fed9a6);
           // setGradient(count*10, 200, 600, wu/2, #ccebc5, #000000);
        
              translate(650,0);
        // MICROSOFT
             stroke(0);
             fill(#fbb4ae);
             rect(count*10, -1*sm/2+300, 10, sm/2);
             rect(count*10, 300, 10, sm/2);
          //  setGradient(count*10, -1*wm/2, 20, wm/2, #000000, #fbb4ae);
          //  setGradient(count*10, 0, 20, wm/2, #fbb4ae, #000000);
             stroke(0);
             setGradient(count*10, -1*ss/2+297, 10, 3, #fbb4ae, #000000);
             setGradient(count*10, ss/2+300, 10, 3, #000000, #fbb4ae);
        
        // STARBUCKS
             fill(#b3cde3);
             stroke(0);
             rect(count*10, -1*ss/2+300, 10, ss/2);
             rect(count*10, 300, 10, ss/2);
          //  setGradient(count*10, -1*ws/2+300, 20, ws/2, #000000, #b3cde3);
           // setGradient(count*10, 200, 20, ws/2, #b3cde3, #000000);
              setGradient(count*10, -1*sb/2+299, 10, 1, #b3cde3, #000000);
              setGradient(count*10, sb/2+300, 10, 1, #000000, #b3cde3);
           
        // BOEING
             fill(#ccebc5);
             stroke(0);
             rect(count*10, -1*sb/2+300, 10, sb/2);
             rect(count*10, 300, 10, sb/2);
           // setGradient(count*10, -1*wb/2+300, 20, wb/2, #000000, #ccebc5);
           // setGradient(count*10, 200, 20, wb/2, #ccebc5, #000000);
           setGradient(count*10, -1*su/2+299, 10, 1, #ccebc5, #000000);
           setGradient(count*10, su/2+300, 10, 1, #000000, #ccebc5);
        
        // UW
             fill(#fed9a6);
             stroke(0);
             rect(count*10, -1*su/2+300, 10, su/2);
             rect(count*10, 300, 10, su/2);
           // setGradient(count*10, -1*wu/2+600, 20, wu/2, #000000, #fed9a6);
           // setGradient(count*10, 200, 600, wu/2, #ccebc5, #000000);
           translate(-650,0);
        
        count++; 
    }
    v = new int[4];
    ch = new int[4];
    em = new int[4];
    count = 0;
    for (TableRow row : stats.rows()) {
        //String c = row.getString("company");
        v[count] = row.getInt("visits");
        ch[count] = row.getInt("checkouts");
        em[count] = row.getInt("employees");
        count++;
    }
    
    pieChart(140, v, 1370,180);
    pieChart(140, ch,1370,400);
    
    fill(#ffffff);
    textFont(awesomeFont2);
    text("Wikipedia Page Visits",60,20);
    text("Seattle Public Library Check-outs",840,20);
    
    fill(#eeeeee);
    stroke(#eeeeee);
    textFont(awesomeFont);
    text("Wikipedia page visits",1295,280);
    text("SPL media check-outs",1290,500);

    textFont(awesomeFont);

    fill(#333333);
    text("2010",60,520);
    text("2011",170,600);
    text("2012",300,600);
    text("2013",470,600);
    fill(#ffffff);
    text("SPL data is a magnitude of 1000 time smaller than the Wikipedia visits",1000,680);
     
    fill(#fbb4ae);
    rect(0,568,10,10);
    fill(#b3cde3);
    rect(0,588,10,10);
    fill(#ccebc5);
    rect(0,608,10,10);
    fill(#fed9a6);
    rect(0,628,10,10);
    text("Microsoft",20,580);
    text("Starbucks",20,600);
    text("Boeing",20,620);
    text("University of Washington",20,640);
    noLoop();
    
    translate(650,0);
     fill(#333333);
    text("2010",60,680);
    text("2011",170,600);
    text("2012",300,560);
     text("2013",470,520);
    fill(#ffffff);
    translate(-650,0);
  }
